{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/sorties.css') }}">
    <link rel="stylesheet" href="{{ asset('css/filtre.css') }}">
    <link rel="stylesheet" href="{{ asset('css/table-display.css') }}">
    <link rel="stylesheet" href="{{ asset('css/stylay.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('script/filter.js') }}"></script>
    <script src="{{ asset('script/pagination-sortie.js') }}"></script>
{% endblock %}

{% block title %}Sortie index{% endblock %}

{% block body %}
    <div class="infos">
        {% if (app.user) %}
            <div>Connecté en tant que : {{ app.user.prenom | capitalize }} {{ app.user.nom | first | upper }}.</div>
        {% endif %}
        <div>{{ "now"|date("m/d/Y - H:m") }}</div>
    </div>
    <div class="container">
        <form class="filter">
            {% if (app.user) %}
                <input type="hidden" id="user" value="{{ app.user.prenom | capitalize }} {{ app.user.nom | first | upper }}.">
            {% else %}
                <input type="hidden" id="user" value="">
            {% endif %}
            <h2>Filtrer les sorties</h2>
            <div class="filter-panel">
                <div>
                    <label for="site">Site : </label>
                    <select id="site" class="filter-elem">
                        <option value=""></option>
                        {% for site in sites %}
                            <option value="{{ site.nom }}">{{ site.nom }}</option>
                        {% endfor %}
                    </select>
                </div>
                <div>
                    <label for="contient">Le nom contient : </label>
                    <input id="contient" class="filter-elem" type="search" placeholder="rechercher" />
                </div>
                <div>
                    <label for="etat">Etat : </label>
                    <select id="etat" class="filter-elem">
                        <option value=""></option>
                        <option value="Créée">Créée</option>
                        <option value="Ouverte">Ouverte</option>
                        <option value="Cloturée">Cloturée</option>
                        <option value="En cours">En cours</option>
                        <option value="Passée">Passée</option>
                        <option value="Annulée">Annulée</option>
                    </select>
                </div>
                <div>
                    <div>
                        <label for="after">Entre : </label>
                        <input id="after" class="filter-elem" type="datetime-local" />
                    </div>
                    <div>
                        <label for="before">et </label>
                        <input id="before" class="filter-elem" type="datetime-local" />
                    </div>
                </div>
            </div><!--
            --><div class="filter-panel">
                <div class="{{ app.user ? '' : 'hidden' }}">
                    <input type="checkbox" id="organisateur" class="filter-elem" />
                    <label for="organisateur">Sorties dont je suis l'organisateur</label>
                </div>
                <div class="{{ app.user ? '' : 'hidden' }}">
                    <input type="checkbox" id="inscrit" class="filter-elem" />
                    <label for="inscrit">Sorties auxquelles je suis inscrit</label>
                </div>
                <div class="{{ app.user ? '' : 'hidden' }}">
                    <input type="checkbox" id="noninscrit" class="filter-elem" />
                    <label for="noninscrit">Sorties auxquelles je ne suis pas inscrit</label>
                </div>
                <div>
                    <input type="checkbox" id="passees" class="filter-elem" />
                    <label for="passees">Sorties passées</label>
                </div>
            </div>
            <button type="reset" id="reset">Effacer les filtres</button>
        </form>
        <table class="table">
            <thead>
                <tr>
                    <th>Nom de la sortie</th>
                    <th>Site de la sortie</th>
                    <th>Date de la sortie</th>
                    <th class="xs-hide">Date limite d'inscription</th>
                    <th class="xs-hide">Inscrits / places</th>
                    <th class="xs-hide">Etat</th>
                    <th class="xs-hide" class="{{ app.user ? '' : 'hidden' }}">Inscrit</th>
                    <th class="xs-hide">Organisateur</th>
                    <th class="xs-hide">actions</th>
                </tr>
            </thead>
            <tbody>
            {% for sortie in sorties %}
                <tr class="table-row">
                    <td>{{ sortie.nom }}</td>
                    <td>{{ sortie.organisateur.site.nom }}</td>
                    <td>{{ sortie.dateDebut ? sortie.dateDebut|date('d/m/Y H:i') : '' }}</td>
                    <td class="xs-hide">{{ sortie.dateLimiteInscription ? sortie.dateLimiteInscription|date('d/m/Y') : '' }}</td>
                    <td class="xs-hide">{{ sortie.inscrits | length }} / {{ sortie.nbInscriptionsMax }}</td>
                    <td class="xs-hide" {% if (sortie.etat.libelle is same as("Annulée")) %} title="{{ sortie.motif }}" {% endif %}>{{ sortie.etat.libelle }}</td>
                    <td class="xs-hide" class="{{ app.user ? '' : 'hidden' }}">{% if (sortie.inscrits.contains(app.user)) %} X {% endif %}</td>
                    <td class="xs-hide"><a href="{{ path('app_user_show', {'id': sortie.organisateur.id}) }}">{{ sortie.organisateur.prenom | capitalize }} {{ sortie.organisateur.nom | first | upper }}.</a></td>
                    <td class="xs-hide">
                        <a href="{{ path('app_sortie_show', {'id': sortie.id}) }}"><span class="material-symbols-outlined" title="Consulter">manage_search</span></a>
                        {% if (app.user and sortie.etat.libelle is same as("Ouverte")) and not sortie.inscrits.contains(app.user) %}
                            <a href="{{ path('app_sortie_inscrire', {'id': sortie.id}) }}"><span class="material-symbols-outlined" title="S'inscrire">step_into</span></a>
                        {% endif %}
                        {% if (app.user and (sortie.etat.libelle is same as("Ouverte")) or (sortie.etat.libelle is same as("Cloturée"))) and sortie.inscrits.contains(app.user) %}
                            <a href="{{ path('app_sortie_desinscrire', {'id': sortie.id}) }}"><span class="material-symbols-outlined" title="Se désinscrire">step_out</span></a>
                        {% endif %}
                        {% if (app.user and (app.user is same as(sortie.organisateur) or is_granted('ROLE_ADMIN'))) %}
                            <a href="{{ path('app_sortie_edit', {'id': sortie.id}) }}"><span class="material-symbols-outlined" title="Modifier">edit</span></a>
                        {% endif %}
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="8">Aucune sortie trouvée</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

        <p id="info-filtre"></p>
        <div id="pagination">
        </div>

        <a class="btn_link" href="{{ path('app_sortie_new') }}">Nouvelle sortie</a>
        {% if not (app.request.cookies.get('first_time')) %}
            <div class="trop-style" id="trop-style">
                <h4>
                    Bonjour et bienvenue sur le site de sorties proposé aux étudiants !
                </h4>
                <p>
                    La plateforme est uniquement disponible pour les étudiants inscrits sur la plateforme.
                    Si vous n'avez pas reçu vos identifiants, merci de bien vouloir vous rapprocher de votre
                    responsable pédagogique pour qu'elle puisse procéder à votre inscription.
                </p>
                <p>
                    Bonne journée à vous, et surtout, excellentes soirées !
                </p>
                <div class="btns">
                    <button id="btn_ok" class="btn_link">Accéder au site</button>
                </div>
            </div>
        <script src="{{ asset('script/stylay.js') }}"></script>
        {% endif %}
    </div>
{% endblock %}
